---
title: CSSPropertyRule.inherits
slug: Web/API/CSSPropertyRule/inherits
tags:
  - API
  - CSS
  - CSS Properties and Values API
  - CSSPropertyRule
  - Experimental
  - Houdini
  - Property
  - Reference
  - Read-only
---
<div>{{APIRef("CSS Properties and Values API")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The read-only <strong><code>inherits</code></strong> property of the {{domxref("CSSPropertyRule")}} interface returns the inherit flag of the custom property registration represented by the {{domxref("@property")}} rule, a boolean describing whether or not the property inherits by default.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <var>inherits</var> = CSSPropertyRule.inherits;</pre>

<h3>Value</h3>
<p>A boolean.</p>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
    <tbody>
     <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
     </tr>
     <tr>
      <td>{{SpecName('CSS Properties and Values API','#dom-csspropertyrule-inherits','Inherits')}}</td>
      <td>{{Spec2('CSS Properties and Values API')}}</td>
      <td>Initial definition.</td>
     </tr>
    </tbody>
   </table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("api.CSSPropertyRule.inherits")}}</p>
